#include <iostream>
#define MAX 20000
using namespace std;


int main()
{
    int N,K;
    unsigned int a[MAX];
    cin >> N >> K;
    int i;
    for (i=0; i<N; i++)
    {
        cin >> a[i];
    }
    for (i=0; i<N; i++)
    {
        if (a[i]==K)
            break;
    }
    if (i==N-1)
        cout << a[0];
    else
    {
        i++;
        cout << a[i];
    }
}